> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List pages

> Get all pages. Supports paging and filtering.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json GET /content/api/v2/pages
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages:
    get:
      tags:
        - Pages
      summary: List pages
      description: Get all pages. Supports paging and filtering.
      operationId: getPages
      parameters:
        - name: limit
          in: query
          description: The number of items to return. Defaults to 20.
          schema:
            type: integer
        - name: offset
          in: query
          description: Used to get the next set of results.
          schema:
            type: integer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              examples:
                list_pages_response:
                  summary: List of pages with pagination
                  value:
                    total_count: 188
                    objects:
                      - ab_status: null
                        ab_test_id: null
                        analytics_page_id: '3736193859'
                        archived: false
                        attached_stylesheets: []
                        author_user_id: 215482
                        blueprint_type_id: 0
                        campaign: null
                        campaign_name: null
                        cloned_from: null
                        compose_body: null
                        created: 1453270510000
                        css: {}
                        css_text: ''
                        current_live_domain: 62515.hs-sites.com
                        deleted_at: 0
                        deleted_by: null
                        domain: ''
                        enable_domain_stylesheets: true
                        enable_layout_stylesheets: true
                        featured_image: ''
                        featured_image_alt_text: ''
                        flex_areas: {}
                        folder_id: null
                        footer_html: ''
                        freeze_date: 1453270510000
                        has_smart_content: false
                        has_user_changes: true
                        head_html: ''
                        html_title: null
                        id: 3736193859
                        include_default_custom_css: null
                        is_draft: true
                        keywords: []
                        language: null
                        last_edit_session_id: null
                        last_edit_update_id: null
                        legacy_blog_tabid: null
                        meta_description: null
                        meta_keywords: null
                        name: iverson create contact
                        page_expiry_date: null
                        page_expiry_enabled: null
                        page_expiry_redirect_id: null
                        page_expiry_redirect_url: null
                        page_redirected: null
                        password: null
                        performable_url: null
                        personas: []
                        portal_id: 62515
                        publish_date: 0
                        publish_immediately: null
                        published_url: null
                        rss_email_author_line_template: false
                        rss_email_blog_image_max_width: null
                        rss_email_by_text: By
                        rss_email_click_through_text: Read more Â»
                        rss_email_comment_text: Comment Â»
                        rss_email_entry_template: null
                        rss_email_entry_template_enabled: false
                        rss_email_image_max_width: 0
                        scheduled_update_date: null
                        slug: '-temporary-slug-87a2e45a-81ca-4a4d-9bf5-edd2cfbbd001'
                        staged_from: null
                        style_override_id: null
                        subcategory: landing_page
                        template_path: custom/page/examples/simple-template.html
                        tms_id: null
                        translated_from_id: null
                        unpublished_at: null
                        updated: 1453270510000
                        url: >-
                          http://62515.hs-sites.com/-temporary-slug-87a2e45a-81ca-4a4d-9bf5-edd2cfbbd001
                        widget_containers: {}
                        widgetcontainers: {}
                        widgets: {}
                    limit: 1
                    offset: 0

````